CREATE TABLE JOB_HISTORY_INTERRUPT (  
	JOB_HISTORY_INTERRUPT_ID    INT(10) UNSIGNED                      NOT NULL AUTO_INCREMENT,
	JOB_HISTORY_ID     		INT(10) UNSIGNED                      NOT NULL,  
	REQUESTER				VARCHAR(50) character set utf8        	NOT NULL,
	REQUEST_TIME        DATETIME                                NOT NULL,
	INTERRUPT_TIME        DATETIME                                  NULL,
	REVISION            INT(10) UNSIGNED                        NOT NULL default '0',  
	CREATED_DATE        DATETIME                                NOT NULL,  
	CREATED_BY        VARCHAR(50)    character set utf8        NOT NULL,  
	LAST_UPDATED_DATE DATETIME                                NOT NULL,  
	LAST_UPDATED_BY    VARCHAR(50)    character set utf8        NOT NULL,  
	PRIMARY KEY  (JOB_HISTORY_INTERRUPT_ID)  
) Engine=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin  COMMENT='OPS job history interrupt request table';

CREATE UNIQUE INDEX JOB_HISTORY_INTRP_JOB_HISTORY_ID_UK_01 ON JOB_HISTORY_INTERRUPT (JOB_HISTORY_ID);
ALTER TABLE JOB_HISTORY_INTERRUPT ADD CONSTRAINT JOB_HISTORY_INTRP_JOB_HISTORY_FK FOREIGN KEY (JOB_HISTORY_ID) REFERENCES JOB_HISTORY (JOB_HISTORY_ID);
