CREATE TABLE JOB_HISTORY_INTERRUPT (  
	JOB_HISTORY_INTERRUPT_ID    NUMBER(10)                      PRIMARY KEY,
	JOB_HISTORY_ID     		NUMBER(10)                      NOT NULL, 
	REQUESTER         NVARCHAR2(50)                         NOT NULL, 
	REQUEST_TIME		TIMESTAMP							NOT NULL,
	INTERRUPT_TIME		TIMESTAMP							    NULL,
	REVISION            NUMBER(10)  default '0'				NOT NULL,  
	CREATED_DATE        TIMESTAMP                           NOT NULL,  
	CREATED_BY        NVARCHAR2(50)                         NOT NULL,  
	LAST_UPDATED_DATE TIMESTAMP                             NOT NULL,  
	LAST_UPDATED_BY    NVARCHAR2(50)                        NOT NULL
);

CREATE UNIQUE INDEX JOB_HIST_INTRP_HIST_ID_UK_01 ON JOB_HISTORY_INTERRUPT (JOB_HISTORY_ID);
ALTER TABLE JOB_HISTORY_INTERRUPT ADD CONSTRAINT JOB_HIST_INTRP_JOB_HIST_FK FOREIGN KEY (JOB_HISTORY_ID) REFERENCES JOB_HISTORY (JOB_HISTORY_ID);
