CREATE TABLE JOB_HISTORY_INTERRUPT (  
	JOB_HISTORY_INTERRUPT_ID    INT                       NOT NULL ,
	JOB_HISTORY_ID     		INT                       NOT NULL,
	REQUESTER        VARCHAR(50)            NOT NULL,  
	REQUEST_TIME        TIMESTAMP                                NOT NULL,
	INTERRUPT_TIME        TIMESTAMP                                NULL,
	REVISION            INT                         NOT NULL ,  
	CREATED_DATE        TIMESTAMP                                NOT NULL,  
	CREATED_BY        VARCHAR(50)            NOT NULL,  
	LAST_UPDATED_DATE TIMESTAMP                                NOT NULL,  
	LAST_UPDATED_BY    VARCHAR(50)            NOT NULL,  
	PRIMARY KEY  (JOB_HISTORY_INTERRUPT_ID)  
) ;

CREATE UNIQUE INDEX JOB_HISTORY_INTERRUPT_JOB_HISTORY_ID_UK_01 ON JOB_HISTORY_INTERRUPT (JOB_HISTORY_ID);
ALTER TABLE JOB_HISTORY_INTERRUPT ADD CONSTRAINT JOB_HISTORY_INTERRUPT_JOB_HISTORY_FK FOREIGN KEY (JOB_HISTORY_ID) REFERENCES JOB_HISTORY (JOB_HISTORY_ID);