CREATE TABLE JOB_HISTORY_INTERRUPT (
	job_history_interrupt_id integer PRIMARY KEY,
	job_history_id integer NOT NULL,
	requester character varying(50) NOT NULL,
	request_time timestamp NOT NULL,
	interrupt_time timestamp NULL,
	revision integer NOT NULL,
	created_date timestamp NOT NULL,
	created_by character varying(50) NOT NULL,
	last_updated_date timestamp NOT NULL,
	last_updated_by character varying(50) NOT NULL
);
CREATE UNIQUE INDEX JOB_HISTORY_INTERRUPT_JOB_HISTORY_ID_UK_01 ON JOB_HISTORY_INTERRUPT USING btree (job_history_id);
ALTER TABLE JOB_HISTORY_INTERRUPT ADD CONSTRAINT JOB_HISTORY_INTERRUPT_JOB_HISTORY_FK FOREIGN KEY (job_history_id) REFERENCES JOB_HISTORY (job_history_id);